Translation Widget Analytics
Query translation widget usage totals and language, host, and page breakdowns through the REST API.
Retrieve usage totals and language, host, and page breakdowns for one translation widget over an inclusive calendar-day range.
Authorization
apiKey AuthorizationBearer <token>
Ours Privacy API key
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
from*string
Inclusive lower bound of the analytics window as YYYY-MM-DD.
Match
^\d{4}-\d{2}-\d{2}$Format
dateto*string
Inclusive upper bound of the analytics window as YYYY-MM-DD.
Match
^\d{4}-\d{2}-\d{2}$Format
datelimit?integer
Maximum rows to return for each breakdown. Defaults to 50.
Range
1 <= value <= 200Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/translation-widgets/497f6eca-6276-4993-bfeb-53cbbbba6f08/analytics?from=2019-08-24&to=2019-08-24"{ "totalTranslations": 0, "uniqueUsers": 0, "languagesUsed": 0, "byLanguage": [ { "languageCode": "string", "translations": 0, "uniqueUsers": 0 } ], "byHost": [ { "host": "string", "translations": 0, "uniqueUsers": 0 } ], "topPages": [ { "url": "string", "translations": 0, "uniqueUsers": 0, "byLanguage": [ { "languageCode": "string", "translations": 0, "uniqueUsers": 0 } ] } ]}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}{ "error": "string", "details": "string"}How is this guide?

